package com.zjj.controller;

import com.alibaba.fastjson.JSONObject;
import com.zjj.config.HttpUtil;
import com.zjj.config.URLConfig;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.Map;

@RestController
public class AppInterfaceController {

    @PostMapping("/loginMobile")
    public String loginMobile(String username,String password){
        Map param = new HashMap<>();
        param.put("username",username);
        param.put("password",password);
        return HttpUtil.sendPostForm(URLConfig.LOGINMOBILE,new HashMap<>(),param);
    }

    @PostMapping("/sys/register/register")
    public String register(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.REGISTER,param,new HashMap<>());
    }

    @PostMapping("/sys/register/getCode")
    public String getCode(String tel){
        Map param = new HashMap<>();
        param.put("tel",tel);
        return HttpUtil.sendPostForm(URLConfig.GETCODE,new HashMap<>(),param);
    }

    @PostMapping("/sys/office/getFirst")
    public String getFirst(){
        return HttpUtil.sendPostForm(URLConfig.GETFIRST,new HashMap<>(),new HashMap<>());
    }

    @PostMapping("/sys/office/getByParent")
    public String getByParent(String parentId){
        Map param = new HashMap<>();
        param.put("parentId",parentId);
        return HttpUtil.sendPostForm(URLConfig.GETBYPARENT,new HashMap<>(),param);
    }

    @PostMapping("/app/type/appConsultationType/newsType")
    public String newsType(){
        return HttpUtil.sendPostForm(URLConfig.NEWSTYPE,new HashMap<>(),new HashMap<>());
    }

    @PostMapping("/app/news/appConsultation/display")
    public String display(){
        return HttpUtil.sendPostForm(URLConfig.display,new HashMap<>(),new HashMap<>());
    }

    @PostMapping("/app/news/appConsultation/data")
    public String appConsultationData(@RequestBody JSONObject param){
        HashMap hashMap = new HashMap<>();
        hashMap.put("pageNo",param.getString("pageNo"));
        hashMap.put("pageSize",param.getString("pageSize"));
        return HttpUtil.sendPostJson(URLConfig.appConsultationData,param, hashMap);
    }

    @PostMapping("/app/url/appConsultationLink/url")
    public String appConsultationLinkUrl(){
        return HttpUtil.sendPostForm(URLConfig.appConsultationLinkUrl,new HashMap<>(),new HashMap<>());
    }

    @PostMapping("/leader/org/leaderOrgNo/getChildOrg")
    public String getChildOrg(String parentId,String name,String type){
        Map param = new HashMap<>();
        param.put("parentId",parentId);
        param.put("name",name);
        param.put("type",type);
        return HttpUtil.sendPostForm(URLConfig.getChildOrg,new HashMap<>(),param);
    }

    @PostMapping("/leader/org/leaderOrgNo/getFirstOrg")
    public String getFirstOrg(){
        return HttpUtil.sendPostForm(URLConfig.getFirstOrg,new HashMap<>(),new HashMap<>());
    }

    @PostMapping("/leader/org/leaderOrgNo/getService")
    public String getService(String name){
        Map param = new HashMap<>();
        param.put("name",name);
        return HttpUtil.sendPostForm(URLConfig.getService,new HashMap<>(),param);
    }

    @PostMapping("/leader/org/leaderOrgNo/getOrg")
    public String getOrg(String value){
        Map param = new HashMap<>();
        param.put("value",value);
        return HttpUtil.sendPostForm(URLConfig.getOrg,new HashMap<>(),param);
    }

    @PostMapping("/app/base/appBaseNews/dataList")
    public String dataList(@RequestBody JSONObject param){
        HashMap hashMap = new HashMap<>();
        hashMap.put("pageNo",param.getString("pageNo"));
        hashMap.put("pageSize",param.getString("pageSize"));
        return HttpUtil.sendPostJson(URLConfig.dataList,param, hashMap);
    }

    @PostMapping("/app/base/appBaseNews/getNav")
    public String getNav(String deptId){
        Map param = new HashMap<>();
        param.put("deptId",deptId);
        return HttpUtil.sendPostForm(URLConfig.getNav,new HashMap<>(),param);
    }

    @PostMapping("/leader/org/leaderOrgNo/getAllOrg")
    public String getAllOrg(){
        return HttpUtil.sendPostForm(URLConfig.getAllOrg,new HashMap<>(),new HashMap<>());
    }

    @PostMapping("/app/base/appBaseNews/getNav")
    public String save(String deptId){
        Map param = new HashMap<>();
        param.put("deptId",deptId);
        return HttpUtil.sendPostForm(URLConfig.getNav,new HashMap<>(),param);
    }

    @PostMapping("/app/complaint/appComplaintInfo/save")
    public String save(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.save,param,new HashMap<>());
    }
    @PostMapping("/app/info/appInfo/getByType")
    public String getByType(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.getByType,param,new HashMap<>());
    }

    @PostMapping("/leader/activity/leaderActivity/threeSessions")
    public String threeSessions(@RequestBody JSONObject param){
        HashMap hashMap = new HashMap<>();
        hashMap.put("pageNo",param.getString("pageNo"));
        hashMap.put("pageSize",param.getString("pageSize"));
        return HttpUtil.sendPostJson(URLConfig.threeSessions,param,hashMap);
    }

    @PostMapping("/app/record/appActivityRecord/activityList")
    public String activityList(String userId){
        Map param = new HashMap<>();
        param.put("userId",userId);
        return HttpUtil.sendPostForm(URLConfig.activityList,new HashMap<>(),param);
    }

    @PostMapping("/app/record/appActivityRecord/data")
    public String appActivityRecordData(String userId,String tab){
        Map param = new HashMap<>();
        param.put("userId",userId);
        param.put("tab",tab);
        return HttpUtil.sendPostForm(URLConfig.appActivityRecordData,new HashMap<>(),param);
    }

    @PostMapping("/app/record/appActivityRecord/save")
    public String appActivityRecordSave(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.appActivityRecordSave,param,new HashMap<>());
    }

    @PostMapping("/leader/activity/leaderActivity/partyDay")
    public String partyDay(String types,String userId){
        Map param = new HashMap<>();
        param.put("types",types);
        param.put("userId",userId);
        return HttpUtil.sendPostForm(URLConfig.partyDay,new HashMap<>(),param);
    }

    @PostMapping("/leader/logs/leaderLogs/uploadLogs")
    public String uploadLogs(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.uploadLogs,param,new HashMap<>());
    }

    @PostMapping("/app/leave/appLeave/data")
    public String appLeaveData(String userId,String tab){
        Map param = new HashMap<>();
        param.put("tab",tab);
        param.put("userId",userId);
        return HttpUtil.sendPostForm(URLConfig.appLeaveData,new HashMap<>(),param);
    }

    @PostMapping("/app/leave/appLeave/save")
    public String appLeaveSave(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.appLeaveSave,param,new HashMap<>());
    }

    @PostMapping("/app/leave/appLeave/approval")
    public String approval(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.approval,param,new HashMap<>());
    }

    @PostMapping("/leader/sign/leaderVillageSign/save")
    public String leaderVillageSignSave(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.leaderVillageSignSave,param,new HashMap<>());
    }

    @PostMapping("/leader/logs/leaderLogsPosition/uploadLogs")
    public String leaderLogsPositionUploadLogs(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.leaderLogsPositionUploadLogs,param,new HashMap<>());
    }

    @PostMapping("/leader/logs/leaderLogsPosition/getLogs")
    public String getLogs(String orgId){
        Map param = new HashMap<>();
        param.put("orgId",orgId);
        return HttpUtil.sendPostForm(URLConfig.getLogs,new HashMap<>(),param);
    }

    @PostMapping("/leader/activity/leaderActivity/threeSessions")
    public String appResourcesData(@RequestBody JSONObject param){
        HashMap hashMap = new HashMap<>();
        hashMap.put("pageNo",param.getString("pageNo"));
        hashMap.put("pageSize",param.getString("pageSize"));
        return HttpUtil.sendPostJson(URLConfig.appResourcesData,param,hashMap);
    }

    @PostMapping("/app/resources/appResources/save")
    public String appResourceSave(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.appResourceSave,param,new HashMap<>());
    }

    @PostMapping("/app/resources/appResourcesApproval/save")
    public String AppResourcesApprovalSave(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.AppResourcesApprovalSave,param,new HashMap<>());
    }

    @PostMapping("/app/resources/appResourcesApproval/data")
    public String appResourcesApprovalData(String applyId,String tab){
        Map param = new HashMap<>();
        param.put("applyId",applyId);
        param.put("tab",tab);
        return HttpUtil.sendPostForm(URLConfig.appResourcesApprovalData,new HashMap<>(),param);
    }

    @PostMapping("/app/resources/appResourcesApproval/approval")
    public String appResourcesApprovalApproval(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.appResourcesApprovalApproval,param,new HashMap<>());
    }

    @PostMapping("/app/report/appReport/save")
    public String appReportSave(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.appReportSave,param,new HashMap<>());
    }

    @PostMapping("/app/phonebook/appPhoneBook/data")
    public String appPhoneBookData(String userId){
        Map param = new HashMap<>();
        param.put("applyId",userId);
        return HttpUtil.sendPostForm(URLConfig.appPhoneBookData,new HashMap<>(),param);
    }

    @PostMapping("/app/phonebook/appPhoneBook/save")
    public String appPhoneBookSave(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.appPhoneBookSave,param,new HashMap<>());
    }

    @PostMapping("/app/phonebook/appPhoneBook/delete")
    public String appPhoneBookDelete(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.appPhoneBookDelete,param,new HashMap<>());
    }

    @PostMapping("/app/memo/appMemo/data")
    public String appMemoData(String userId){
        Map param = new HashMap<>();
        param.put("applyId",userId);
        return HttpUtil.sendPostForm(URLConfig.appMemoData,new HashMap<>(),param);
    }

    @PostMapping("/app/memo/appMemo/delete")
    public String appMemoDelete(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.appMemoDelete,param,new HashMap<>());
    }

    @PostMapping("/app/memo/appMemo/save")
    public String appMemoSave(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.appMemoSave,param,new HashMap<>());
    }

    @PostMapping("/app/collection/appCollection/data")
    public String appCollectionData(@RequestBody JSONObject param){
        HashMap hashMap = new HashMap<>();
        hashMap.put("pageNo",param.getString("pageNo"));
        hashMap.put("pageSize",param.getString("pageSize"));
        return HttpUtil.sendPostJson(URLConfig.appCollectionData,param,hashMap);
    }

    @PostMapping("/app/collection/appCollection/delete")
    public String appCollectionDelete(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.appCollectionDelete,param,new HashMap<>());
    }

    @PostMapping("/app/collection/appCollection/save")
    public String appCollectionSave(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.appCollectionSave,param,new HashMap<>());
    }

    @PostMapping("/app/suggestion/appSuggestion/save")
    public String appSuggestionSave(@RequestBody JSONObject param){
        return HttpUtil.sendPostJson(URLConfig.appSuggestionSave,param,new HashMap<>());
    }
}
